Skip to main content
Web Services

Update an opportunity from a quote

This web service updates an existing opportunity in Salesforce for a specified quote.

POST
/web-services/qt/salesforce/updateOpportunityFromQuote

This method requires the WebServices permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
quote_idstringrequired

Quote ID

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$

Response

application/vnd.catch-e-api.v1+json

Success - Opportunity updated from quote

bodyobject